Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.layers
Class LayerEntity

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.PropertyList
              org.pdfclown.documents.contents.layers.LayerEntity

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  Layer, LayerMembership

    public abstract class LayerEntity

extends PropertyList

Layer entity.

Since:
  0.1.1
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `LayerEntity.VisibilityPolicyEnum` Membership visibility policy [PDF:1.7:4.10.1].

Constructor Summary
`protected` | `LayerEntity(Document context, PdfName typeName)`
`protected` | `LayerEntity(PdfDirectObject baseObject)`

Method Summary
`LayerMembership` | `getMembership()` Gets the default membership.
`List<Layer>` | `getVisibilityLayers()` Gets the layers whose states determine the visibility of content controlled by this entity.
`LayerEntity.VisibilityPolicyEnum` | `getVisibilityPolicy()` Gets the visibility policy of this entity.
`void` | `setVisibilityPolicy(LayerEntity.VisibilityPolicyEnum value)`

Methods inherited from class org.pdfclown.documents.contents.PropertyList
`clone, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayerEntity

    protected LayerEntity(Document context,
                          PdfName typeName)

### LayerEntity

    protected LayerEntity(PdfDirectObject baseObject)

Method Detail

### getMembership

    public LayerMembership getMembership()

  Gets the default membership. This collection corresponds to the hierarchical relation between this layer entity and its ascendants.

### getVisibilityLayers

    public List<Layer> getVisibilityLayers()

  Gets the layers whose states determine the visibility of content controlled by this entity.

### getVisibilityPolicy

    public LayerEntity.VisibilityPolicyEnum getVisibilityPolicy()

  Gets the visibility policy of this entity.

### setVisibilityPolicy

    public void setVisibilityPolicy(LayerEntity.VisibilityPolicyEnum value)

  See Also:
    `getVisibilityPolicy()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.